petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMDASetBoundaryType

Sets the type of ghost nodes on domain boundaries.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetBoundaryType(DM da,DMBoundaryType bx,DMBoundaryType by,DMBoundaryType bz)

Not collective Many br

### Input Parameter

| da | - The DMDA Many br
| bx,by,bz | - One of DM_BOUNDARY_NONE, DM_BOUNDARY_GHOSTED, DM_BOUNDARY_PERIODIC Many br

Many br

### Keywords

distributed array, periodicity

### See Also

DMDACreate(), DMDestroy(), DMDA, DMBoundaryType

Level:intermediate
Location:src/dm/impls/da/da.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages